function mov = parseShutter(mov)
%  mov = parseShutter(mov)
%
% convert shutter position from string to number and viceversa
%
% INPUT
% mov [current shutter position,string of number]
% OUTPUT
% mov [parsed shutter position]
% [senza argomenti restituisce lo stato corrente degli shutter]
%
%
% See Also: shuttersMove


if nargin<1 
    
    if isappdata(0,'shutters')
        mov = getappdata(0,'shutters');
    else
        mov = 0;
    end
    
end

if ischar(mov)
    switch lower(mov)
        case 'contra'
            mov = 2;
        case 'ipsi'
            mov = 1;
        case 'bin'
            mov = 3;
        case 'blind'
            mov = 4;
        otherwise
           mov=0;
    end
else
    switch mov
        case 2 
            mov = 'contra';
        case 1
            mov = 'ipsi';
        case 3
            mov = 'bin';
        case 4
            mov = 'blind';
        otherwise
           mov='none';
    end
end