function shuttersGui(fig,handles)
% shuttersGui(fig,otherhandles)
%
%
%
% Created by Raffaele Mazziotti & Leonardo Lupori 2014

if nargin <2
    handles = [] ;
end

if nargin < 1 || isempty(fig)
    fig = figure('Units','Normalized','Position',[.01 .2 .1 .1], 'MenuBar','none','toolbar','none');
end

try
    set(fig,'CloseRequestFcn',@CloseReq);
catch
    warning('Disconnettere manualmente la porta alla fine della sessione')
end
%%
handles.shutters.fig = fig;
try
    set(fig,'Name','Shutter Control');
catch
    set(fig,'title','Shutter Control')
end

handles.shutters.ports = port;
handles.shutters.port = 1;
handles.shutters.popPort=uicontrol('Parent',handles.shutters.fig,'Style', 'popup',...
    'String', handles.shutters.ports,...
    'Units','Normalized','Enable','on',...
    'Position',[.05 .75 .9 .2] ,...
    'Callback', @porta);

handles.shutters.popEye=uicontrol('Parent',handles.shutters.fig,'Style', 'popup',...
    'String', 'IPSI|CONTRA|BIN|BLIND','Value',3,...
    'Units','Normalized','Enable','off',...
    'Position',[.05 .5 .9 .2] ,...
    'Callback', @move);

handles.shutters.connect=uicontrol('Parent',handles.shutters.fig,'Style', 'togglebutton',...
    'String', 'Connect',...
    'Units','Normalized',...
    'Position',[.05 .2 .9 .2], ...
    'Callback',@connection);

guidata(handles.shutters.fig,handles);

function connection(hObject,eventdata)
handles = guidata(hObject);

if get(handles.shutters.connect,'value')
    
    try
        handles.shutters.con = shuttersOpen(handles.shutters.ports{handles.shutters.port});
        set(handles.shutters.popPort,'Enable','off');
        set(handles.shutters.popEye,'Enable','on');
        set(handles.shutters.connect,'String','Connected','ForegroundColor',[0 1 0]);
        setappdata(0,'shutters',0);
    catch me
        set(handles.shutters.popPort,'Enable','on');
        set(handles.shutters.popEye,'Enable','off');
        set(handles.shutters.connect,'String','Connect','value',0);
        
        warning(me.message);
    end
else
    
    try
        shuttersClose(handles.shutters.con);
    catch me
        fclose(instrfind);
        warning(me.message);
    end
    
    set(handles.shutters.popPort,'Enable','on');
    set(handles.shutters.popEye,'Enable','off');
    set(handles.shutters.connect,'String','Connect','ForegroundColor',[0 0 0]);
    if isappdata(0,'shutters')
        rmappdata(0,'shutters');
    end
end

guidata(handles.shutters.fig,handles);

function move(hObject,eventdata)
handles = guidata(hObject);
shuttersMove(handles.shutters.con,get(handles.shutters.popEye,'Value'));
setappdata(0,'shutters',get(handles.shutters.popEye,'Value'));
if isfield(handles,'shutterStatus')
    handles.shutterStatus = parseShutter(get(handles.shutters.popEye,'Value'));
    guidata(hObject,handles)
end


function CloseReq(hObject, eventdata, handles)
handles = guidata(hObject);
if isfield(handles,'con')
    shuttersClose(handles.shutters.con);
    disp('Port Closed');
end
if isappdata(0,'shutters')
    rmappdata(0,'shutters');
end
delete(handles.shutters.fig);

function porta(hObject,eventdata)
handles = guidata(hObject);
handles.shutters.port = get(hObject,'Value');
set(hObject,'String',port);
guidata(hObject,handles);

