function h = shuttersOpen(port,baud)
%  h = shuttersOpen(port,baud)
%
% DEFAULTS:
% port = /dev/tty.usbmodemfa131
% baud=9600
% OUTPUT
% h [handle to serial object]
%
% Created by Raffaele Mazziotti & Leonardo Lupori 2014
%%
if nargin<1 || isempty(port)
    port = '/dev/tty.usbmodemfa131';
end

if nargin < 2 || isempty(baud)
    baud = 9600;
end
%%

h = serial(port);
h.BaudRate=baud;
set(h, 'terminator', 'LF');

%%
try
    fopen(h);
%    while h.BytesAvailable==0,end
    while h.BytesAvailable>0
        w=fscanf(h,'%s');
        fprintf('%s \n',w);
    end
catch me
    fclose(h);
    throw(me);
end
